Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.common
Class ConnectDisabledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.common.ResourceException
                      weblogic.common.ConnectDisabledException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class ConnectDisabledException
extends ResourceException

Class for ConnectDisabledException

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ConnectDisabledException()` Constructs a ConnectDisabledException Exception.
`ConnectDisabledException(String s)` Constructs a ConnectDisabledException with the specified message.
`ConnectDisabledException(String s, Throwable t)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectDisabledException

    public ConnectDisabledException()

  Constructs a ConnectDisabledException Exception. A ConnDisabled indicates that the Connection Pool is currently disabled.

### ConnectDisabledException

    public ConnectDisabledException(String s)

  Constructs a ConnectDisabledException with the specified message. A ConnectDisabledException indicates that the Connection Pool is currently disabled.

### ConnectDisabledException

    public ConnectDisabledException(String s,
                                    Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD